Package

## Class SdkNotInitializedException

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class SdkNotInitializedException
      extends IllegalStateException

  Signals that an ad instance(s) is created without initialising the SDK.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final Throwable` | `cause` |
    `private final String` | `message` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SdkNotInitializedException(String adType)` |

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `Throwable` | `getCause()` |
    `String` | `getMessage()` |

    - ### Methods inherited from class java.lang.Exception

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SdkNotInitializedException

          SdkNotInitializedException(String adType)

  - ### Method Detail

    - #### getCause

           Throwable getCause()

    - #### getMessage

           String getMessage()